Ruby, rotate a component from its own axes
-
@sawdust_online said:
Good Morning,
I "just" want to rotate any component in my model from its own axes with ruby script. Something like below but replacing the origin [0,0,0] with the xyz of the component :
angle = 45
tr = Geom::Transformation.rotation([0,0,0],[1,0,0],angle.degrees)
Sketchup.active_model.active_entities.transform_entities(tr,Sketchup.active_model.selection)Is it so hard that I can't find anything about ?
Thanks for your help
Best Regardsangle = 45; origin = Sketchup.active_model.selection.first.transformation.origin tr = Geom;;Transformation.rotation(origin,[1,0,0],angle.degrees) Sketchup.active_model.active_entities.transform_entities(tr,Sketchup.active_model.selection)
Advertisement